package com.goldenwater.slgc.mapper;

import java.util.List;
import java.util.Map;
import com.goldenwater.slgc.domain.AttWagaBase;
import org.apache.ibatis.annotations.Mapper;

/** 泵站信息 Mapper */
@Mapper
public interface AttWagaBaseMapper {
    /**
     * 查询泵站信息列表
     * 
     * @param attWagaBase 查询条件
     * @return 泵站信息列表
     */
    public List<AttWagaBase> selectAttWagaBaseList(AttWagaBase attWagaBase);

    /**
     * 通过泵站编码查询泵站信息
     * 
     * @param wagaCode 泵站编码
     * @return 泵站信息
     */
    public AttWagaBase selectAttWagaBaseById(String wagaCode);

    /**
     * 通过泵站编码删除泵站信息
     * 
     * @param wagaCode 泵站编码
     * @return 影响行数
     */
    public int deleteAttWagaBaseById(String wagaCode);

    /**
     * 批量删除泵站信息
     * 
     * @param wagaCodes 泵站编码数组
     * @return 影响行数
     */
    public int deleteAttWagaBaseByIds(String[] wagaCodes);

    /**
     * 修改泵站信息
     * 
     * @param attWagaBase 泵站信息
     * @return 影响行数
     */
    public int updateAttWagaBase(AttWagaBase attWagaBase);

    /**
     * 新增泵站信息
     * 
     * @param attWagaBase 泵站信息
     * @return 影响行数
     */
    public int insertAttWagaBase(AttWagaBase attWagaBase);

    /**
     * 统计泵站等级分布
     * 
     * @return 泵站等级分布统计结果
     */
    public List<Map<String, Object>> countType();
}
